﻿/**Begin D:\PDM_UPGRADE\PDM1\PBS_constraint.sql **/
 EXEC P_ALTERPK 'PK_PBS_PROJECTORGTEAM', 'T_PBS_PROJECTORGTEAM', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PBS_PROJECTORGTEAM_LEADER') CREATE INDEX IDX_PBS_PROJECTORGTEAM_LEADER ON T_PBS_PROJECTORGTEAM ( FTEAMLEADERID );


 EXEC P_ALTERPK 'PK_PBS_PROJECTORGTEAM_L', 'T_PBS_PROJECTORGTEAM_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PBS_PROJECTORGTEAM_L') CREATE INDEX IDX_PBS_PROJECTORGTEAM_L ON T_PBS_PROJECTORGTEAM_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_PBS_POTROLE', 'T_PBS_POTROLE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PBS_POTROLE_NAME') CREATE INDEX IDX_PBS_POTROLE_NAME ON T_PBS_POTROLE ( FNAME );


 EXEC P_ALTERPK 'PK_PBS_POTROLE_L', 'T_PBS_POTROLE_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PBS_POTROLE_L') CREATE INDEX IDX_PBS_POTROLE_L ON T_PBS_POTROLE_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_PBS_POTMEMBER', 'T_PBS_POTMEMBER', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PBS_POTMEMBER_LNUM') CREATE INDEX IDX_PBS_POTMEMBER_LNUM ON T_PBS_POTMEMBER ( FLONGNUMBER );


 EXEC P_ALTERPK 'PK_PBS_POTMEMBERLABS', 'T_PBS_POTMEMBERLABS', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PBS_POTMEMBERLABS') CREATE INDEX IDX_PBS_POTMEMBERLABS ON T_PBS_POTMEMBERLABS ( FID );


 EXEC P_ALTERPK 'PK_PBS_POTMEMBER_L', 'T_PBS_POTMEMBER_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PBS_POTMEMBER_L') CREATE INDEX IDX_PBS_POTMEMBER_L ON T_PBS_POTMEMBER_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_PBS_POTLABEL', 'T_PBS_POTLABEL', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PBS_POTLABEL_NAME') CREATE INDEX IDX_PBS_POTLABEL_NAME ON T_PBS_POTLABEL ( FNAME );


 EXEC P_ALTERPK 'PK_PBS_POTLABEL_L', 'T_PBS_POTLABEL_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PBS_POTLABEL_L') CREATE INDEX IDX_PBS_POTLABEL_L ON T_PBS_POTLABEL_L ( FID ,FLOCALEID );



/**End D:\PDM_UPGRADE\PDM1\PBS_constraint.sql **/
