﻿/**Begin D:\PDM_UPGRADE\PDM1\PBS_constraint.sql **/
 EXEC P_ALTERPK 'PK_PBS_WORKFLOW', 'T_PBS_WORKFLOW', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PBS_WORKFLOWNUM') CREATE INDEX IDX_PBS_WORKFLOWNUM ON T_PBS_WORKFLOW ( FNUMBER );


 EXEC P_ALTERPK 'PK_PBS_WORKFLOWENTRY', 'T_PBS_WORKFLOWENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PBS_WORKFLOWENTRY') CREATE INDEX IDX_PBS_WORKFLOWENTRY ON T_PBS_WORKFLOWENTRY ( FID );


 EXEC P_ALTERPK 'PK_PBS_FLOWDEFPROC', 'T_PBS_FLOWDEFPROC', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PBS_FLOWDEFPROC') CREATE INDEX IDX_PBS_FLOWDEFPROC ON T_PBS_FLOWDEFPROC ( FMAJORPROCID );


 EXEC P_ALTERPK 'PK_PBS_FLOWDEFPROC_L', 'T_PBS_FLOWDEFPROC_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PBS_FLOWDEFPROC_L') CREATE INDEX IDX_PBS_FLOWDEFPROC_L ON T_PBS_FLOWDEFPROC_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_PBS_WORKFLOW_L', 'T_PBS_WORKFLOW_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PBS_WORKFLOW_L') CREATE INDEX IDX_PBS_WORKFLOW_L ON T_PBS_WORKFLOW_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_PBS_FLOWDEFNODE', 'T_PBS_FLOWDEFNODE', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PBS_FLOWDEFNODE') CREATE INDEX IDX_PBS_FLOWDEFNODE ON T_PBS_FLOWDEFNODE ( FID );


 EXEC P_ALTERPK 'PK_PBS_FLOWDEFNODE_L', 'T_PBS_FLOWDEFNODE_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PBS_FLOWDEFNODE_L') CREATE INDEX IDX_PBS_FLOWDEFNODE_L ON T_PBS_FLOWDEFNODE_L ( FENTRYID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_PBS_FLOWDEFROLE', 'T_PBS_FLOWDEFROLE', 'FDETAILID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PBS_FLOWDEFROLE') CREATE INDEX IDX_PBS_FLOWDEFROLE ON T_PBS_FLOWDEFROLE ( FENTRYID );


 EXEC P_ALTERPK 'PK_PBS_FLOWRUPROC', 'T_PBS_FLOWRUPROC', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PBS_FLOWRUPROC') CREATE INDEX IDX_PBS_FLOWRUPROC ON T_PBS_FLOWRUPROC ( FMAJORPROCID );


 EXEC P_ALTERPK 'PK_PBS_FLOWRUPROC_L', 'T_PBS_FLOWRUPROC_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PBS_FLOWRUPROC_L') CREATE INDEX IDX_PBS_FLOWRUPROC_L ON T_PBS_FLOWRUPROC_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_PBS_FLOWRUNODE', 'T_PBS_FLOWRUNODE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PBS_FLOWRUNODEMAJOR') CREATE INDEX IDX_PBS_FLOWRUNODEMAJOR ON T_PBS_FLOWRUNODE ( FMAJORNODEID ,FNODESTATUS );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PBS_FLOWRUNODEPROC') CREATE INDEX IDX_PBS_FLOWRUNODEPROC ON T_PBS_FLOWRUNODE ( FFLOWRUPROCID );


 EXEC P_ALTERPK 'PK_PBS_FLOWRUNODE_L', 'T_PBS_FLOWRUNODE_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PBS_FLOWRUNODE_L') CREATE INDEX IDX_PBS_FLOWRUNODE_L ON T_PBS_FLOWRUNODE_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_PBS_FLOWRUROLE', 'T_PBS_FLOWRUROLE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PBS_FLOWRUROLENODE') CREATE INDEX IDX_PBS_FLOWRUROLENODE ON T_PBS_FLOWRUROLE ( FFLOWRUNODEID ,FROLESTATUS );


 EXEC P_ALTERPK 'PK_PBS_FLOWRUROLE_L', 'T_PBS_FLOWRUROLE_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PBS_FLOWRUROLE_L') CREATE INDEX IDX_PBS_FLOWRUROLE_L ON T_PBS_FLOWRUROLE_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_PBS_FLOWRUTASK', 'T_PBS_FLOWRUTASK', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PBS_FLOWRUTASK') CREATE INDEX IDX_PBS_FLOWRUTASK ON T_PBS_FLOWRUTASK ( FFLOWRUROLEID ,FTASKSTATUS );


 EXEC P_ALTERPK 'PK_PBS_FLOWRUTASK_L', 'T_PBS_FLOWRUTASK_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PBS_FLOWRUTASK_L') CREATE INDEX IDX_PBS_FLOWRUTASK_L ON T_PBS_FLOWRUTASK_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_PBS_FLOWRUERRORINFO', 'T_PBS_FLOWRUERRORINFO', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PBS_FLOWRUERRORINFO') CREATE INDEX IDX_PBS_FLOWRUERRORINFO ON T_PBS_FLOWRUERRORINFO ( FFLOWRUPROCID );


 EXEC P_ALTERPK 'PK_PBS_FLOWRUERRORINFO_L', 'T_PBS_FLOWRUERRORINFO_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PBS_FLOWRUERRORINFO_L') CREATE INDEX IDX_PBS_FLOWRUERRORINFO_L ON T_PBS_FLOWRUERRORINFO_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_PBS_FLOWRUTASKPROCLOG', 'T_PBS_FLOWRUTASKPROCLOG', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PBS_FLOWRUTASKPROCLOG') CREATE INDEX IDX_PBS_FLOWRUTASKPROCLOG ON T_PBS_FLOWRUTASKPROCLOG ( FFLOWRUTASKID );


 EXEC P_ALTERPK 'PK_PBS_FLOWRUTASKPROCLOG_L', 'T_PBS_FLOWRUTASKPROCLOG_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PBS_FLOWRUTASKPROCLOG_L') CREATE INDEX IDX_PBS_FLOWRUTASKPROCLOG_L ON T_PBS_FLOWRUTASKPROCLOG_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_PBS_FLOWRUOPRECORD', 'T_PBS_FLOWRUOPRECORD', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PBS_FLOWRUOPRECORD') CREATE INDEX IDX_PBS_FLOWRUOPRECORD ON T_PBS_FLOWRUOPRECORD ( FFLOWRUPROCID );


 EXEC P_ALTERPK 'PK_PBS_FLOWRUOPRECORD_L', 'T_PBS_FLOWRUOPRECORD_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PBS_FLOWRUOPRECORD_L') CREATE INDEX IDX_PBS_FLOWRUOPRECORD_L ON T_PBS_FLOWRUOPRECORD_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_PBS_FLOWCALCSENDLOG', 'T_PBS_FLOWCALCSENDLOG', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PBS_FLOWCALCSENDLOG') CREATE INDEX IDX_PBS_FLOWCALCSENDLOG ON T_PBS_FLOWCALCSENDLOG ( FFLOWRUNODEID );


 EXEC P_ALTERPK 'PK_PBS_FLOWCALCSENDLOG_L', 'T_PBS_FLOWCALCSENDLOG_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PBS_FLOWCALCSENDLOG_L') CREATE INDEX IDX_PBS_FLOWCALCSENDLOG_L ON T_PBS_FLOWCALCSENDLOG_L ( FID ,FLOCALEID );



/**End D:\PDM_UPGRADE\PDM1\PBS_constraint.sql **/
