﻿/**Begin D:\PDM_UPGRADE\PDM1\PBS_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PBS_WORKFLOW') 
 CREATE TABLE T_PBS_WORKFLOW (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(60) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(60) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(2) DEFAULT 'C' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE VARCHAR(2) DEFAULT '1' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FINDEX INT DEFAULT 0 NOT NULL,
FSIMPLENAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FISSYSPRESET CHAR(1) DEFAULT '0' NOT NULL,
FDISABLERID BIGINT DEFAULT 0 NOT NULL,
FDISABLEDATE DATETIME,
FBOID BIGINT DEFAULT 0 NOT NULL,
FISCURRENTVERSION CHAR(1) DEFAULT '0' NOT NULL,
FDATASTATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
FSOURCEVID BIGINT DEFAULT 0 NOT NULL,
FFIRSTBSED DATETIME,
FCHANGEBSED DATETIME,
FBRED DATETIME,
FBRLED DATETIME,
FBRFD DATETIME,
FISMODIFY CHAR(1) DEFAULT '0' NOT NULL,
FBSED DATETIME,
FBSLED DATETIME,
FCHANGEDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FHISVERSION VARCHAR(10) DEFAULT ' ' NOT NULL,
FNODENUM INT DEFAULT 0 NOT NULL,
FISDEFAULT CHAR(1) DEFAULT '0' NOT NULL,
FISMATRIX CHAR(1) DEFAULT '0' NOT NULL,
FPUBLISHSTATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
FPROCESSINFO NVARCHAR(2000) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PBS_WORKFLOWENTRY') 
 CREATE TABLE T_PBS_WORKFLOWENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FENTRYBOID BIGINT DEFAULT 0 NOT NULL,
FFLOWDEFPROCID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PBS_FLOWDEFPROC') 
 CREATE TABLE T_PBS_FLOWDEFPROC (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(60) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(60) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FINDEX INT DEFAULT 0 NOT NULL,
FISMATRIXPROC CHAR(1) DEFAULT '0' NOT NULL,
FISMAJORPROC CHAR(1) DEFAULT '0' NOT NULL,
FMAJORPROCID BIGINT DEFAULT 0 NOT NULL,
FFLOWTYPE VARCHAR(2) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PBS_FLOWDEFPROC_L') 
 CREATE TABLE T_PBS_FLOWDEFPROC_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(60) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PBS_WORKFLOW_L') 
 CREATE TABLE T_PBS_WORKFLOW_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(60) DEFAULT ' ' NOT NULL,
FSIMPLENAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FPROCESSINFO NVARCHAR(2000) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PBS_FLOWDEFNODE') 
 CREATE TABLE T_PBS_FLOWDEFNODE (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FISMATRIXNODE CHAR(1) DEFAULT '0' NOT NULL,
FISMAJORNODE CHAR(1) DEFAULT '0' NOT NULL,
FMAJORNODESEQ INT DEFAULT 0 NOT NULL,
FNODENAME NVARCHAR(60) DEFAULT ' ' NOT NULL,
FNODETYPE VARCHAR(2) DEFAULT ' ' NOT NULL,
FNODEWEIGHT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FHANDLERTYPE VARCHAR(2) DEFAULT ' ' NOT NULL,
FAPPOINTEMPID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PBS_FLOWDEFNODE_L') 
 CREATE TABLE T_PBS_FLOWDEFNODE_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNODENAME NVARCHAR(60) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PBS_FLOWDEFROLE') 
 CREATE TABLE T_PBS_FLOWDEFROLE (
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FROLETYPE VARCHAR(2) DEFAULT ' ' NOT NULL,
FROLEWEIGHT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FCONFJSON VARCHAR(2000) DEFAULT ' ' NOT NULL,
FOUTFLOW VARCHAR(2) DEFAULT ' ' NOT NULL,
FMINNUM INT DEFAULT 0 NOT NULL,
FSECONDTYPE VARCHAR(2) DEFAULT ' ' NOT NULL,
FSECONDF7ID BIGINT DEFAULT 0 NOT NULL,
FISSAMEORG CHAR(1) DEFAULT '1' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PBS_FLOWRUPROC') 
 CREATE TABLE T_PBS_FLOWRUPROC (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(60) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FINDEX INT DEFAULT 0 NOT NULL,
FISMATRIXPROC CHAR(1) DEFAULT '0' NOT NULL,
FISMAJORPROC CHAR(1) DEFAULT '0' NOT NULL,
FMAJORPROCID BIGINT DEFAULT 0 NOT NULL,
FFLOWTYPE VARCHAR(2) DEFAULT ' ' NOT NULL,
FDEFPROCID BIGINT DEFAULT 0 NOT NULL,
FPERSONID BIGINT DEFAULT 0 NOT NULL,
FCURRENTNODEID BIGINT DEFAULT 0 NOT NULL,
FPROCSTATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
FUPDATESTATUSTIME DATETIME,
FFLOWVERSION VARCHAR(60) DEFAULT ' ' NOT NULL,
FPERFORGID BIGINT DEFAULT 0 NOT NULL,
FADMINORGID BIGINT DEFAULT 0 NOT NULL,
FPAUSETYPE VARCHAR(2) DEFAULT ' ' NOT NULL,
FACTEVALOBJID BIGINT DEFAULT 0 NOT NULL,
FASSESSYEAR INT DEFAULT 0 NOT NULL,
FASSESSPERIOD VARCHAR(60) DEFAULT ' ' NOT NULL,
FNODENUM INT DEFAULT 0 NOT NULL,
FACTIVITYID BIGINT DEFAULT 0 NOT NULL,
FEMPPOSRELID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PBS_FLOWRUPROC_L') 
 CREATE TABLE T_PBS_FLOWRUPROC_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PBS_FLOWRUNODE') 
 CREATE TABLE T_PBS_FLOWRUNODE (
FID BIGINT DEFAULT 0 NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FINDEX INT DEFAULT 0 NOT NULL,
FISMATRIXNODE CHAR(1) DEFAULT '0' NOT NULL,
FISMAJORNODE CHAR(1) DEFAULT '0' NOT NULL,
FMAJORNODEID BIGINT DEFAULT 0 NOT NULL,
FNODESTATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
FASSESSYEAR INT DEFAULT 0 NOT NULL,
FASSESSPERIOD VARCHAR(60) DEFAULT ' ' NOT NULL,
FFLOWRUPROCID BIGINT DEFAULT 0 NOT NULL,
FNODEWEIGHT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FUPDATESTATUSTIME DATETIME,
FSTARTTIME DATETIME,
FACTIVITYID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PBS_FLOWRUNODE_L') 
 CREATE TABLE T_PBS_FLOWRUNODE_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PBS_FLOWRUROLE') 
 CREATE TABLE T_PBS_FLOWRUROLE (
FID BIGINT DEFAULT 0 NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FFLOWRUNODEID BIGINT DEFAULT 0 NOT NULL,
FROLESTATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
FASSESSYEAR INT DEFAULT 0 NOT NULL,
FASSESSPERIOD VARCHAR(60) DEFAULT ' ' NOT NULL,
FROLEWEIGHT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FFLOWRUPROCID BIGINT DEFAULT 0 NOT NULL,
FFLOWDEFROLEID BIGINT DEFAULT 0 NOT NULL,
FROLETYPE VARCHAR(2) DEFAULT ' ' NOT NULL,
FUPDATESTATUSTIME DATETIME,
FACTIVITYID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PBS_FLOWRUROLE_L') 
 CREATE TABLE T_PBS_FLOWRUROLE_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PBS_FLOWRUTASK') 
 CREATE TABLE T_PBS_FLOWRUTASK (
FID BIGINT DEFAULT 0 NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FHANDLERID BIGINT DEFAULT 0 NOT NULL,
FTASKSTATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
FUPDATESTATUSTIME DATETIME,
FASSESSYEAR INT DEFAULT 0 NOT NULL,
FASSESSPERIOD VARCHAR(60) DEFAULT ' ' NOT NULL,
FFLOWRUPROCID BIGINT DEFAULT 0 NOT NULL,
FFLOWRUNODEID BIGINT DEFAULT 0 NOT NULL,
FFLOWRUROLEID BIGINT DEFAULT 0 NOT NULL,
FACTIVITYID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PBS_FLOWRUTASK_L') 
 CREATE TABLE T_PBS_FLOWRUTASK_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PBS_FLOWRUERRORINFO') 
 CREATE TABLE T_PBS_FLOWRUERRORINFO (
FID BIGINT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FDESCRIPTION NVARCHAR(2000) DEFAULT ' ' NOT NULL,
FERRORTYPE VARCHAR(2) DEFAULT ' ' NOT NULL,
FASSESSYEAR INT DEFAULT 0 NOT NULL,
FFLOWRUPROCID BIGINT DEFAULT 0 NOT NULL,
FFLOWRUNODEID BIGINT DEFAULT 0 NOT NULL,
FFLOWRUROLEID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PBS_FLOWRUERRORINFO_L') 
 CREATE TABLE T_PBS_FLOWRUERRORINFO_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(2000) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PBS_FLOWRUTASKPROCLOG') 
 CREATE TABLE T_PBS_FLOWRUTASKPROCLOG (
FID BIGINT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FCONSUMESTATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
FASSESSYEAR INT DEFAULT 0 NOT NULL,
FASSESSPERIOD VARCHAR(60) DEFAULT ' ' NOT NULL,
FFLOWRUPROCID BIGINT DEFAULT 0 NOT NULL,
FFLOWRUNODEID BIGINT DEFAULT 0 NOT NULL,
FFLOWRUROLEID BIGINT DEFAULT 0 NOT NULL,
FFLOWRUTASKID BIGINT DEFAULT 0 NOT NULL,
FCONSUMEMS BIGINT DEFAULT 0 NOT NULL,
FRECEIVEMS BIGINT DEFAULT 0 NOT NULL,
FACTIVITYID BIGINT DEFAULT 0 NOT NULL,
FRETRYCOUNT INT DEFAULT 0 NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PBS_FLOWRUTASKPROCLOG_L') 
 CREATE TABLE T_PBS_FLOWRUTASKPROCLOG_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PBS_FLOWRUOPRECORD') 
 CREATE TABLE T_PBS_FLOWRUOPRECORD (
FID BIGINT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FASSESSYEAR INT DEFAULT 0 NOT NULL,
FASSESSPERIOD VARCHAR(60) DEFAULT ' ' NOT NULL,
FFLOWRUPROCID BIGINT DEFAULT 0 NOT NULL,
FACTIVITYID BIGINT DEFAULT 0 NOT NULL,
FOPTYPE VARCHAR(2) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PBS_FLOWRUOPRECORD_L') 
 CREATE TABLE T_PBS_FLOWRUOPRECORD_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PBS_FLOWCALCSENDLOG') 
 CREATE TABLE T_PBS_FLOWCALCSENDLOG (
FID BIGINT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FCONSUMESTATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
FASSESSYEAR INT DEFAULT 0 NOT NULL,
FASSESSPERIOD VARCHAR(60) DEFAULT ' ' NOT NULL,
FFLOWRUPROCID BIGINT DEFAULT 0 NOT NULL,
FFLOWRUNODEID BIGINT DEFAULT 0 NOT NULL,
FCONSUMEMS BIGINT DEFAULT 0 NOT NULL,
FRECEIVEMS BIGINT DEFAULT 0 NOT NULL,
FACTIVITYID BIGINT DEFAULT 0 NOT NULL,
FRETRYCOUNT INT DEFAULT 0 NOT NULL,
FCALCTYPE VARCHAR(2) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PBS_FLOWCALCSENDLOG_L') 
 CREATE TABLE T_PBS_FLOWCALCSENDLOG_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL
);



/**End D:\PDM_UPGRADE\PDM1\PBS_table.sql **/
